baz_hopper.h File Reference
`#include <gnuradio/block.h>`
`#include <boost/thread.hpp>`
`#include <vector>`
`#include <uhd/usrp/multi_usrp.hpp>`
`#include <uhd/types/time_spec.hpp>`
`#include <gnuradio/uhd/usrp_source.h>`
Include dependency graph for baz_hopper.h:

Go to the source code of this file.

## Classes

class | baz_hopper
| hop More...

## Functions

BAZ_API baz_hopper_sptr | baz_make_hopper (size_t item_size, int sample_rate, int chunk_length, int drop_length, std::vector< std::vector< double > > freqs, ::gr::basic_block_sptr source, bool verbose=false)

## Variables

class BAZ_API | baz_hopper

## Function Documentation

## baz_make_hopper()

BAZ_API baz_hopper_sptr baz_make_hopper | ( | size_t | item_size,
|  | int | sample_rate,
|  | int | chunk_length,
|  | int | drop_length,
|  | std::vector< std::vector< double > > | freqs,
|  | ::gr::basic_block_sptr | source,
|  | bool | verbose = `false`
| ) |  |

## Variable Documentation

## baz_hopper

class BAZ_API baz_hopper